use std::io::Write;

pub fn encrypt(msg: &str) -> String {
    let pgp = gnupg_rs::GnuPG::new().expect("no gpg");
    let pub_key = pgp
        .import_key(&std::fs::read_to_string("./config/pub.key").expect("key could not be read"))
        .expect("key import error");
    pgp.encrypt(&pub_key, msg).expect("encryption failed")
}

pub fn save_message(msg: &str, name: &str) {
    std::fs::create_dir_all("./data/messages").expect("couldn't create msg dir");
    let time = chrono::offset::Utc::now();
    let time = time.format("%Y-%m-%d.%H-%M").to_string();
    let mut f = std::fs::File::create(format!("./data/messages/{name}-{time}.asc"))
        .expect("could not create file");
    f.write_all(encrypt(msg).as_bytes())
        .expect("file could not be written");
}
